﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    public DataTable GetDataTable()
    {

        DataTable table = new DataTable();
        table.Columns.Add("PlaneType");
        table.Columns.Add("PlaneModel");
        table.Columns.Add("Country");
        table.Columns.Add("City");
        table.Columns.Add("Passengers", typeof(Int32));
        table.Columns.Add("Cargo", typeof(Int32));
        table.Columns.Add("Date", typeof(DateTime));

        table.Rows.Add("Airbus", "", null, "London", 20 * 1, 2 * 1, "01/02/2014 00:00:00");
        table.Rows.Add("Airbus", "", "UK", null, 20 * 1, 2 * 1, "01/02/2014 00:00:00");
        table.Rows.Add("Airbus", "", "UK", "Manchester", 30 * 1, 3 * 1, null);
        table.Rows.Add(null, "", "UK", "Manchester", 40 * 1, 4 * 1, "01/04/2014 00:00:00");
        table.Rows.Add(null, "", "Germany", "Berlin", 40 * 1, 4 * 1, "01/05/2014 00:00:00");
        table.Rows.Add("Airbus", "", "Germany", "Berlin", 60 * 1, 6 * 1, "01/06/2014 00:00:00");
        table.Rows.Add("Airbus", "", "Germany", "Munchen", 70 * 1, 7 * 1, null);
        table.Rows.Add("Airbus", "", null, "Munchen", 80 * 1, 8 * 1, "01/08/2014 00:00:00");

        table.Rows.Add("Airbus", "A340", "UK", "London", 10 * 2, 1 * 2, DateTime.Today);
        table.Rows.Add("Airbus", "A340", "UK", "London", 20 * 2, 2 * 2, DateTime.Today);
        table.Rows.Add("Airbus", "A340", "UK", "Manchester", 30 * 2, 3 * 2, DateTime.Today);
        table.Rows.Add("Airbus", "A340", "UK", "Manchester", 40 * 2, 4 * 2, DateTime.Today);
        table.Rows.Add("Airbus", "A340", "Germany", "Berlin", 50 * 2, 5 * 2, DateTime.Today);
        table.Rows.Add("Airbus", "A340", "Germany", "Berlin", 60 * 2, 6 * 2, DateTime.Today);
        table.Rows.Add("Airbus", "A340", "Germany", "Munchen", 70 * 2, 7 * 2, DateTime.Today);
        table.Rows.Add("Airbus", "A340", "Germany", "Munchen", 80 * 2, 8 * 2, DateTime.Today);

        table.Rows.Add("Boeing", "737", "UK", "London", 10 * 3, 1 * 3, DateTime.Today);
        table.Rows.Add("Boeing", "737", "UK", "London", 20 * 3, 2 * 3, DateTime.Today);
        table.Rows.Add("Boeing", "737", "UK", "Manchester", 30 * 3, 3 * 3, DateTime.Today);
        table.Rows.Add("Boeing", "737", "UK", "Manchester", 40 * 3, 4 * 3, DateTime.Today);
        table.Rows.Add("Boeing", "737", "Germany", "Berlin", 50 * 3, 5 * 3, DateTime.Today);
        table.Rows.Add("Boeing", "737", "Germany", "Berlin", 60 * 3, 6 * 3, DateTime.Today);
        table.Rows.Add("Boeing", "737", "Germany", "Munchen", 70 * 3, 7 * 3, DateTime.Today);
        table.Rows.Add("Boeing", "737", "Germany", "Munchen", 80 * 3, 8 * 3, DateTime.Today);

        table.Rows.Add("Boeing", "747", "UK", "London", 10 * 4, 1 * 4, DateTime.Today);
        table.Rows.Add("Boeing", "747", "UK", "London", 20 * 4, 2 * 4, DateTime.Today);
        table.Rows.Add("Boeing", "747", "UK", "Manchester", 30 * 4, 3 * 4, DateTime.Today);
        table.Rows.Add("Boeing", "747", "UK", "Manchester", 40 * 4, 4 * 4, DateTime.Today);
        table.Rows.Add("Boeing", "747", "Germany", "Berlin", 50 * 4, 5 * 4, DateTime.Today);
        table.Rows.Add("Boeing", "747", "Germany", "Berlin", 60 * 4, 6 * 4, DateTime.Today);
        table.Rows.Add("Boeing", "747", "Germany", "Munchen", 70 * 4, 7 * 4, DateTime.Today);
        table.Rows.Add("Boeing", "747", "Germany", "Munchen", 80 * 4, 8 * 4, DateTime.Today);

        table.Rows.Add("Embraer", "E190", "UK", "London", 10 * 3, 1 * 5, DateTime.Today);
        table.Rows.Add("Embraer", "E190", "UK", "London", 20 * 3, 2 * 5, DateTime.Today);
        table.Rows.Add("Embraer", "E190", "UK", "Manchester", 30 * 3, 3 * 5, DateTime.Today);
        table.Rows.Add("Embraer", "E190", "UK", "Manchester", 40 * 3, 4 * 5, DateTime.Today);
        table.Rows.Add("Embraer", "E190", "Germany", "Berlin", 50 * 3, 5 * 5, DateTime.Today);
        table.Rows.Add("Embraer", "E190", "Germany", "Berlin", 60 * 3, 6 * 5, DateTime.Today);
        table.Rows.Add("Embraer", "E190", "Germany", "Munchen", 70 * 3, 7 * 5, DateTime.Today);
        table.Rows.Add("Embraer", "E190", "Germany", "Munchen", 80 * 3, 8 * 5, DateTime.Today);

        table.Rows.Add("Embraer", "E170", "UK", "London", 10 * 4, 1 * 6, DateTime.Today);
        table.Rows.Add("Embraer", "E170", "UK", "London", 20 * 4, 2 * 6, DateTime.Today);
        table.Rows.Add("Embraer", "E170", "UK", "Manchester", 30 * 4, 3 * 6, DateTime.Today);
        table.Rows.Add("Embraer", "E170", "UK", "Manchester", 40 * 4, 4 * 6, DateTime.Today);
        table.Rows.Add("Embraer", "E170", "Germany", "Berlin", 50 * 4, 5 * 6, DateTime.Today);
        table.Rows.Add("Embraer", "E170", "Germany", "Berlin", 60 * 4, 6 * 6, DateTime.Today);
        table.Rows.Add("Embraer", "E170", "Germany", "Munchen", 70 * 4, 7 * 6, DateTime.Today);
        table.Rows.Add("Embraer", "E170", "Germany", "Munchen", 80 * 4, 8 * 6, DateTime.Today);

        return table;
    }
    protected void RadPivotGrid1_NeedDataSource(object sender, Telerik.Web.UI.PivotGridNeedDataSourceEventArgs e)
    {
        RadPivotGrid1.DataSource = GetDataTable();
    }
}
