﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadPivotGridWithConfigurationPanel.aspx.cs"
    Inherits="RadPivotGridWithConfigurationPanel" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <telerik:RadScriptManager CacheSettings-Enabled="true" runat="server">
            </telerik:RadScriptManager>
            <asp:Button runat="server" ID="Button1" Text="Rebind" OnClick="Button1_Click" Width="130px"></asp:Button><br />
            <telerik:RadPivotGrid ID="RadPivotGrid1" runat="server"
                OnNeedDataSource="RadPivotGrid1_NeedDataSource"
                AllowSorting="True" Overlay="True"
                EnableToolTips="True" Skin="Windows7" ShowFilterHeaderZone="False" FilterWindow-Width="600" FilterWindow-Height="550"
              >
                <ClientSettings EnableFieldsDragDrop="false" Scrolling-SaveScrollPosition="True" />

                <PagerStyle ChangePageSizeButtonToolTip="Change Page Size" PageSizeControlType="RadComboBox"></PagerStyle>
                <RowHeaderCellStyle Width="200px" />

                <PagerStyle Mode="NextPrevAndNumeric" AlwaysVisible="true" />
                <TotalsSettings RowsSubTotalsPosition="None" ColumnsSubTotalsPosition="Last" ColumnGrandTotalsPosition="Last" />
                <Fields>
                    <telerik:PivotGridRowField ShowGroupsWhenNoData="false" DataField="PlaneModel" Caption="L2"
                        UniqueName="L2">
                    </telerik:PivotGridRowField>
                    <telerik:PivotGridRowField ShowGroupsWhenNoData="false" DataField="Country" Caption="L3"
                        UniqueName="L3">
                    </telerik:PivotGridRowField>
                    <telerik:PivotGridRowField ShowGroupsWhenNoData="false" DataField="City" Caption="L4"
                        UniqueName="L4">
                    </telerik:PivotGridRowField>


                </Fields>
                <ColumnGrandTotalCellStyle Width="200px" />
                <ConfigurationPanelSettings Position="Left" DefaultDeferedLayoutUpdate="true" />
                <ClientSettings EnableFieldsDragDrop="true">
                </ClientSettings>
                <ConfigurationPanelSettings EnableOlapTreeViewLoadOnDemand="True" Position="Left"
                    DefaultDeferedLayoutUpdate="true"></ConfigurationPanelSettings>
            </telerik:RadPivotGrid>
        </div>
    </form>
</body>
</html>
